Skip to main content
GET
/
api
/
dashboards
/
feedback
/
chat-details
Get chat details data
curl --request GET \
  --url https://api.example.com/api/dashboards/feedback/chat-details \
  --header 'Authorization: Bearer <token>'
{
  "chat_type": "<string>",
  "thumbs_choice": "<string>",
  "feedback_timestamp": "<string>",
  "rated_query": "<string>",
  "rated_llm": "<string>",
  "rated_answer": "<string>",
  "contact_name": "<string>",
  "contact_email": "<string>",
  "reformulated_question": "<string>",
  "expected_answer": "<string>",
  "expected_sources": "<string>",
  "documents": [
    {}
  ],
  "follow_up_questions": [],
  "previous_messages": [],
  "title": "<string>",
  "thumbs_choice_reasons": [
    "<string>"
  ],
  "individual_feedback": "<string>",
  "answer_quality_rating": 123
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Format: 'Bearer '

Query Parameters

feedback_timestamp
string
required
thumbs_choice
string
required
chat_type
string
required
use_case_filter
string | null

Response

Successful Response

chat_type
string
required
thumbs_choice
string
required
feedback_timestamp
string
required
rated_query
string
required
rated_llm
string
required
rated_answer
string
required
contact_name
string | null
contact_email
string | null
reformulated_question
string | null
expected_answer
string | null
expected_sources
string | null
documents
Documents · object[] | null
follow_up_questions
string[]
previous_messages
PreviousMessageResponseSchema · object[]
title
string | null
thumbs_choice_reasons
string[] | null
individual_feedback
string | null
answer_quality_rating
number | null